function [clustOut] = hierAgglomClust(emb,dim,thresh,nClust)
%hierAgglomClust Cluster using stated threshold or number of clusters


    linkMeth = 'ward'; clustThresh = thresh;
    X = emb(:,dim(1):dim(2));
    Y = pdist(X);
    Z = linkage(squareform(Y),linkMeth);
    maxVal = max(Z(:,3));
    if nargin>=4
        clustOut = cluster(Z,'MaxClust',nClust);
    else
        clustOut = cluster(Z,'Cutoff',(maxVal/clustThresh),'Criterion','distance');
    end

end