function [thisAdjMat] = permuteROIpair(adjMats,ROI_A,ROI_B)
%permuteROIpair Permute ROI assignments to test ROI differences
%   adjMat - Nroi x Nroi x Nsubj matrix
%   ROI_A,ROI_B - indices to permute

    toFlip = logical(randi([0 1],size(adjMats,3),1));

    thisAdjMat = adjMats;
    thisAdjMat(:,ROI_A,toFlip) = adjMats(:,ROI_B,toFlip);
    thisAdjMat(ROI_A,:,toFlip) = adjMats(ROI_B,:,toFlip);
    thisAdjMat(:,ROI_B,toFlip) = adjMats(:,ROI_A,toFlip);
    thisAdjMat(ROI_B,:,toFlip) = adjMats(ROI_A,:,toFlip);

    thisAdjMat = mean(thisAdjMat,3,'omitnan');

    if any(isnan(thisAdjMat),'all')
        thisAdjMat = RSDME.permuteROIpair(adjMats,ROI_A,ROI_B);
    end
end