%% Figure 2
measure = 'envCorrDBTorth_gamma';

ephysMeasures = {'envCorrDBTorth_highGamma','envCorrDBTorth_gamma','envCorrDBTorth_beta','envCorrDBTorth_alpha','envCorrDBTorth_theta','wPLI_dbt_beta','wPLI_dbt_alpha','wPLI_dbt_theta'};


RSdata = loadReportDate([getLocalPath('ECoGoutput') 'Embeddings' filesep 'RSdata.mat']);
RSdata10 = loadReportDate([getLocalPath('ECoGoutput') 'Embeddings' filesep 'RSdatathresh10.mat']);
RSdata20 = loadReportDate([getLocalPath('ECoGoutput') 'Embeddings' filesep 'RSdatathresh20.mat']);
RSdata40 = loadReportDate([getLocalPath('ECoGoutput') 'Embeddings' filesep 'RSdatathresh40.mat']);
RSdata50 = loadReportDate([getLocalPath('ECoGoutput') 'Embeddings' filesep 'RSdatathresh50.mat']);
RSdatamultiscale = loadReportDate([getLocalPath('ECoGoutput') 'Embeddings' filesep 'RSdata_tmultiscale.mat']);

LangDom = loadReportDate([getLocalPath('ECoGoutput') 'Embeddings' filesep 'LangDom.mat']);
LangDomBeta = loadReportDate([getLocalPath('ECoGoutput') 'Embeddings' filesep 'LangDom_envCorrDBTorth_beta.mat']);

fig2data = RSdata.d.(measure).allAdjMat(strcmp(RSdata.d.allSubj,'376R'));
fig2 = struct('Psymm',fig2data.Emb.SymmP,'Emb',fig2data.Emb.Emb,'colorMap',getColors(fig2data.ROI,RSdata.fullROI_table),'ROIlabels',{fig2data.ROI});

%% Figure 3

avgEmb = RSdata.d.(measure).avgSubjEmb;

fig3 = struct('Psymm',avgEmb.SymmP,'eVals',avgEmb.EigenValues,'colorMap',getColors(RSdata.d.(measure).avgSubjAdjMat.ROI,RSdata.avgROI_table),...
    'bootstrapMn',RSdata.d.(measure).bootstrapMn,'bootstrapSD',RSdata.d.(measure).bootstrapSD,...
    'ROIs',{RSdata.d.(measure).avgSubjAdjMat.ROI});

fig3allbands = struct();
for iMeas = 1:length(ephysMeasures)
    thisEmb = RSdata.d.(ephysMeasures{iMeas}).avgSubjEmb;
fig3allbands.(ephysMeasures{iMeas}) = struct('Psymm',thisEmb.SymmP,'eVals',thisEmb.EigenValues,'colorMap',getColors(RSdata.d.(ephysMeasures{iMeas}).avgSubjAdjMat.ROI,RSdata.avgROI_table),...
    'bootstrapMn',RSdata.d.(ephysMeasures{iMeas}).bootstrapMn,'bootstrapSD',RSdata.d.(ephysMeasures{iMeas}).bootstrapSD,...
    'ROIs',{RSdata.d.(ephysMeasures{iMeas}).avgSubjAdjMat.ROI});
end

%% Figure 4

fig45 = struct('Emb',avgEmb.Emb,'ROIs',{RSdata.d.(measure).avgSubjAdjMat.ROI},'Adj',RSdata.d.(measure).avgSubjAdjMat.Adj,...
    'colorMap',getColors(RSdata.d.(measure).avgSubjAdjMat.ROI,RSdata.avgROI_table));

fig45t10 = struct('Emb',RSdata10.d.(measure).avgSubjEmb.Emb,'ROIs',{RSdata10.d.(measure).avgSubjAdjMat.ROI},'Adj',RSdata10.d.(measure).avgSubjAdjMat.Adj,...
    'colorMap',getColors(RSdata10.d.(measure).avgSubjAdjMat.ROI,RSdata10.avgROI_table));

fig45t20 = struct('Emb',RSdata20.d.(measure).avgSubjEmb.Emb,'ROIs',{RSdata20.d.(measure).avgSubjAdjMat.ROI},'Adj',RSdata20.d.(measure).avgSubjAdjMat.Adj,...
    'colorMap',getColors(RSdata20.d.(measure).avgSubjAdjMat.ROI,RSdata20.avgROI_table));

fig45t40 = struct('Emb',RSdata40.d.(measure).avgSubjEmb.Emb,'ROIs',{RSdata40.d.(measure).avgSubjAdjMat.ROI},'Adj',RSdata40.d.(measure).avgSubjAdjMat.Adj,...
    'colorMap',getColors(RSdata40.d.(measure).avgSubjAdjMat.ROI,RSdata40.avgROI_table));

fig45t50 = struct('Emb',RSdata50.d.(measure).avgSubjEmb.Emb,'ROIs',{RSdata50.d.(measure).avgSubjAdjMat.ROI},'Adj',RSdata50.d.(measure).avgSubjAdjMat.Adj,...
    'colorMap',getColors(RSdata50.d.(measure).avgSubjAdjMat.ROI,RSdata50.avgROI_table));

fig45multiscale = struct('Emb',RSdatamultiscale.d.(measure).avgSubjEmb.Emb,'ROIs',{RSdatamultiscale.d.(measure).avgSubjAdjMat.ROI},'Adj',RSdatamultiscale.d.(measure).avgSubjAdjMat.Adj,...
    'colorMap',getColors(RSdatamultiscale.d.(measure).avgSubjAdjMat.ROI,RSdatamultiscale.avgROI_table));



fig45allbands = struct();
for iMeas = 1:length(ephysMeasures)
    thisEmb = RSdata.d.(ephysMeasures{iMeas}).avgSubjEmb;
    clustStability = struct('ClusterAssignments',RSdata.d.(ephysMeasures{iMeas}).clustMembership,'stability',RSdata.d.(ephysMeasures{iMeas}).stability,'nullstability',RSdata.d.(ephysMeasures{iMeas}).nullstability,'overallmerit',num2cell(mean(RSdata.d.(ephysMeasures{iMeas}).clustB,2)),'expectedmerit',num2cell(mean(RSdata.d.(ephysMeasures{iMeas}).clustEB,2)));
fig45allbands.(ephysMeasures{iMeas}) = struct('Emb',thisEmb.Emb,'ROIs',{RSdata.d.(ephysMeasures{iMeas}).avgSubjAdjMat.ROI},'Adj',RSdata.d.(ephysMeasures{iMeas}).avgSubjAdjMat.Adj,...
    'colorMap',getColors(RSdata.d.(ephysMeasures{iMeas}).avgSubjAdjMat.ROI,RSdata.avgROI_table),'ClustStability',clustStability);
end

%% Figure S4

avgEmb5 = RSdata.d.(measure).avgSubjEmb5;

figS4 = struct('Psymm',avgEmb5.SymmP,'eVals',avgEmb5.EigenValues,'colorMap',getColors(RSdata.d.(measure).avgSubjAdjMat.ROI,RSdata.avgROI_table),...
    'bootstrapMn',RSdata.d.(measure).bootstrapMn5,'bootstrapSD',RSdata.d.(measure).bootstrapSD5,...
    'ROIs',{RSdata.d.(measure).avgSubjAdjMat.ROI});

%% Figure S5

figS5 = LangDom.langDom;
figS5.colorMap = getColors(LangDom.langDom.ROIs,LangDom.avgROI_table);



%% Figure S6
ephysMeasures = {'envCorrDBTorth_highGamma','envCorrDBTorth_gamma','envCorrDBTorth_beta','envCorrDBTorth_alpha','envCorrDBTorth_theta','wPLI_dbt_beta','wPLI_dbt_alpha','wPLI_dbt_theta'};

figS6 = struct('corrMatrix',nan(length(ephysMeasures)),'labels',{ephysMeasures});
for ii=1:length(ephysMeasures)
    for jj=ii+1:length(ephysMeasures)
        figS6.corrMatrix(ii,jj) = corr(ecogutils.triuToVec(RSdata.d.(ephysMeasures{ii}).avgSubjEmb.embDistUsingElbow()),...
            ecogutils.triuToVec(RSdata.d.(ephysMeasures{jj}).avgSubjEmb.embDistUsingElbow()));
    end
end

%% Figure S6-b

figS6b = struct('corrMatrix',nan(7),'labels',{{'10','20','33','40','50','','multiscale'}});
sensitivityData = cell(7,1);
sensitivityData{1} = RSdata10;
sensitivityData{2} = RSdata20;
sensitivityData{3} = RSdata;
sensitivityData{4} = RSdata40;
sensitivityData{5} = RSdata50;
sensitivityData{7} = RSdatamultiscale;

for ii=1:4
    for jj=ii+1:5
        figS6b.corrMatrix(ii,jj) = corr(ecogutils.triuToVec(sensitivityData{ii}.d.envCorrDBTorth_gamma.avgSubjEmb.embDistUsingElbow()),...
            ecogutils.triuToVec(sensitivityData{jj}.d.envCorrDBTorth_gamma.avgSubjEmb.embDistUsingElbow()));
    end
end
        figS6b.corrMatrix(3,7) = corr(ecogutils.triuToVec(sensitivityData{3}.d.envCorrDBTorth_gamma.avgSubjEmb.embDistUsingElbow()),...
            ecogutils.triuToVec(sensitivityData{7}.d.envCorrDBTorth_gamma.avgSubjEmb.embDistUsingElbow()));


%% Figure 7

fig7 =  loadReportDate([getLocalPath('ECoGoutput') filesep 'DMEsummaries' filesep 'fmriEphysComparisonData.mat']);

%% Figure 8

fig8 =  loadReportDate([getLocalPath('ECoGoutput') filesep 'DMEsummaries' filesep 'fmriCoverageBias.mat']);

%% Figure S2
figS2 =  loadReportDate([getLocalPath('ECoGoutput') 'Embeddings' filesep 'SNR envCorrDBTorth_gamma-earlySVD.mat']);

%% Figure S7

measure = 'envCorrDBTorth_theta';
avgEmb = RSdata.d.(measure).avgSubjEmb;

figS7 = struct('Psymm',avgEmb.SymmP,'eVals',avgEmb.EigenValues,'colorMap',getColors(RSdata.d.(measure).avgSubjAdjMat.ROI,RSdata.avgROI_table),...
    'bootstrapMn',RSdata.d.(measure).bootstrapMn,'bootstrapSD',RSdata.d.(measure).bootstrapSD,...
    'ROIs',{RSdata.d.(measure).avgSubjAdjMat.ROI});

figS7BC = struct('Emb',avgEmb.Emb,'ROIs',{RSdata.d.(measure).avgSubjAdjMat.ROI},'Adj',RSdata.d.(measure).avgSubjAdjMat.Adj,...
    'colorMap',getColors(RSdata.d.(measure).avgSubjAdjMat.ROI,RSdata.avgROI_table));

%% Counts of ROIs/subjects per analysis group

coverageCountTable = RSdata.d.coverageCountTable;
domNondomCoverageCountTable = LangDom.langDom.coverageCountTable;
fmriCoverageCountTable = fig7.coverageCountTable;


%% Auditory responsiveness

audRespFileName = 'RSN sound categories localizer results.xlsx';
audRespPath = [getLocalPath('ECoGoutput') 'AuditoryResponsiveness' filesep];
audResp = readtable([audRespPath audRespFileName],'Sheet','Sheet1');


%% Save some stats in text file

f = fopen('.\RSDMEpaper\statsOut.txt','w');
fprintf(f,'%s\n','Gamma: ');
fprintf(f,'%s\n',RSdata.d.STSAudTest.envCorrDBTorth_gamma);
fprintf(f,'%s\n\n',RSdata.d.STSSemTest.envCorrDBTorth_gamma);
fprintf(f,'%s %.4f\n','Overall dom/nondom hemisphere mean distance, p = ',LangDom.langDom.pvalsDistMean);
fprintf(f,'%s %.4f\n','Overall dom/nondom mean distance, speech vs others, p = ',LangDom.langDom.pvalsLangDist);
fprintf(f,'%s %.4f\n','Overall dom/nondom distance to center, p = ',LangDom.langDom.pvalsCenterDistDiff);
fprintf(f,'%s %.4f\n','Overall dom/nondom distance to center, speech vs others, p = ',LangDom.langDom.pvalsCenterDistDiffLang);

edgePvals = ecogutils.triuToVec(LangDom.langDom.pvalsEdges);
edgePvalsFDR = ecogutils.triuToVec(LangDom.langDom.pvalsEdgesFDR);
fprintf(f,'%s %i/%i (before correction %i)\n\n','Dom/nondom number of edges surviving FDR correction for difference after removing mean, N = ',sum(edgePvalsFDR<0.05),length(edgePvalsFDR),sum(edgePvals<0.05));
fprintf(f,'%s %i/%i (before correction %i)\n\n','Dom/nondom number of ROIs surviving FDR correction for difference in position, N = ',sum(LangDom.langDom.pvalsSelfDistanceFDR<0.05),length(LangDom.langDom.pvalsSelfDistanceFDR),sum(LangDom.langDom.pvalsSelfDistance<0.05));

fprintf(f,'%s %.2f\n','Correlation between dom/nondom distances, all edges: r = ',corr(figS5.domDistAll,figS5.nondomDistAll));
fprintf(f,'%s %.2f\n\n','Correlation between dom/nondom distances, within language edges: r = ',corr(figS5.domDistLang,figS5.nondomDistLang));


fprintf(f,'%s\n','Beta: ');
fprintf(f,'%s\n',RSdata.d.STSAudTest.envCorrDBTorth_beta);
fprintf(f,'%s\n\n',RSdata.d.STSSemTest.envCorrDBTorth_beta);

fprintf(f,'%s %.4f\n','Overall dom/nondom hemisphere mean distance, p = ',LangDomBeta.langDom.pvalsDistMean);
fprintf(f,'%s %.4f\n','Overall dom/nondom mean distance, speech vs others, p = ',LangDomBeta.langDom.pvalsLangDist);
fprintf(f,'%s %.4f\n','Overall dom/nondom distance to center, p = ',LangDomBeta.langDom.pvalsCenterDistDiff);
fprintf(f,'%s %.4f\n','Overall dom/nondom distance to center, speech vs others, p = ',LangDomBeta.langDom.pvalsCenterDistDiffLang);

edgePvals = ecogutils.triuToVec(LangDomBeta.langDom.pvalsEdges);
edgePvalsFDR = ecogutils.triuToVec(LangDomBeta.langDom.pvalsEdgesFDR);
fprintf(f,'%s %i/%i (before correction %i)\n\n','Dom/nondom number of edges surviving FDR correction for difference after removing mean, N = ',sum(edgePvalsFDR<0.05),length(edgePvalsFDR),sum(edgePvals<0.05));
fprintf(f,'%s %i/%i (before correction %i)\n\n','Dom/nondom number of ROIs surviving FDR correction for difference in position, N = ',sum(LangDomBeta.langDom.pvalsSelfDistanceFDR<0.05),length(LangDomBeta.langDom.pvalsSelfDistanceFDR),sum(LangDomBeta.langDom.pvalsSelfDistance<0.05));

fprintf(f,'%s %.2f\n','Correlation between dom/nondom distances, all edges: r = ',corr(LangDomBeta.langDom.domDistAll,LangDomBeta.langDom.nondomDistAll));
fprintf(f,'%s %.2f\n\n','Correlation between dom/nondom distances, within language edges: r = ',corr(LangDomBeta.langDom.domDistLang,LangDomBeta.langDom.nondomDistLang));



nSites = arrayfun(@(x) length(x.ROI),RSdata.d.envCorrDBTorth_gamma.allAdjMat);
nUniqueROI = arrayfun(@(x) length(unique(x.ROI)),RSdata.d.envCorrDBTorth_gamma.allAdjMat);
fprintf(f,'On average, each participant contributed %.0f +/- %.0f recording sites, representing %.0f +/- %.1f ROIs\n\n',mean(nSites),std(nSites),mean(nUniqueROI),std(nUniqueROI));

fclose(f);

%% Stability figure/data
RSDME.stability;

%%
save('.\RSDMEpaper\AllFigureData.mat','fig2','fig3','fig45','figS4','figS5','figS6','fig7','fig8','figS7','figS7BC','figS2','audResp','coverageCountTable','domNondomCoverageCountTable','fmriCoverageCountTable','fig45allbands','fig45t10','fig45t20','fig45t40','fig45t50','fig45multiscale','fig3allbands','figS6b')

%%

function [d] = loadReportDate(filename)
FileInfo = dir(filename);
disp(filename);
disp(FileInfo.date);
d = load(filename);
end

function [c] = getColors(ROIs,ROI_table)
    c = nan(length(ROIs),3);
    for iROI = 1:length(ROIs)
        rowID = find(strcmp(ROI_table.oldROI,ROIs{iROI}),1,'first');
        c(iROI,:) = [ROI_table.colorR(rowID) ROI_table.colorG(rowID) ROI_table.colorB(rowID)];
    end
end
