function [embedMn,embedSD,embedDistMn,embedDistSD,embedDistCorr,elbows,pctNan,eVals,bootEmb] = bootstrapEmbedding(adjMat,nBoot,embedArgs)
    nNode = size(adjMat,1);
    nSubj = size(adjMat,3);

    meanAdjMat = mean(adjMat,3,'omitNan');
    meanEmb = Embedding(meanAdjMat,embedArgs{:});
    meanEmbDistVec = ecogutils.triuToVec(meanEmb.embDistUsingElbow());

    bootEmb = nan(nNode,nNode,nBoot);
    bootDist = nan(nNode,nNode,nBoot);
    elbows = nan(nBoot,1);
    pctNan = nan(nBoot,1);
    embedDistCorr = nan(nBoot,1);
    eVals = nan(nNode,nBoot);
    

    parfor iBoot=1:nBoot
        b = randsample(nSubj,nSubj,true);
        thisAdjMat = mean(adjMat(:,:,b),3,'omitNan'); %#ok<PFBNS> 
        pctNan(iBoot) = mean(isnan(thisAdjMat),'all');
        thisAdjMat(isnan(thisAdjMat)) = meanAdjMat(isnan(thisAdjMat)); %#ok<PFBNS> 
        thisEmb = Embedding(thisAdjMat,embedArgs{:}); %#ok<PFBNS>

        bootDist(:,:,iBoot) = thisEmb.embDistUsingElbow();
        elbows(iBoot) = thisEmb.Elbow;
        eVals(:,iBoot) = thisEmb.EigenValues;

        bootEmb(:,:,iBoot) = thisEmb.map(meanEmb);
        
        embedDistCorr(iBoot) = corr(ecogutils.triuToVec(bootDist(:,:,iBoot)),meanEmbDistVec);
    end
    embedMn = mean(bootEmb,3);
    embedSD = std(bootEmb,[],3);
    embedDistMn = mean(bootDist,3);
    embedDistSD = std(bootDist,[],3);


end