function [allAdjMat,subjs] = loadData(measure,ROI_table,ROImap,subjects)

filepath = [getLocalPath('ECoGoutput') 'MeanConn' filesep 'RS - ' measure '-earlySVD.mat'];
thisM = ['mean_' measure];
state = 'RS';

load(filepath,'dataTable');
if ~istable(dataTable)
    dataTable = struct2table(dataTable);
end

if nargin>=4
    dataTable = dataTable(contains(dataTable.patientID,subjects),:);
end

nSubj = size(dataTable,1);

allAdjMat(1:nSubj) = AdjMatrix;

for iSubj = 1:nSubj
    thisSubj = dataTable.patientID{iSubj};
    disp(thisSubj);
    A = dataTable.(thisM){iSubj}.(state);
    % Set diagonals of chan x chan to 1
    A(logical(eye(length(A)))) = 1;

    allAdjMat(iSubj) = AdjMatrix(A,dataTable.ECoGchannels{iSubj});
end

allAdjMat.remapROIs(ROImap);
allAdjMat.sortByROI(ROI_table);

subjs = dataTable.patientID;

end