%% Fowlkes-Mallows by N Clusters
stabilityFigure = figure();
hold on;

for iMeas = 1:5
    d1 = RSdata.d.(ephysMeasures{iMeas});
    Badj = (d1.clustB-d1.clustEB)./(1-d1.clustEB);
    q = quantile(Badj,[.25 .5 .75],2);
    errorbar(d1.clustNs(1:13)+(iMeas-3)/10,q((1:13),2),q((1:13),2)-q((1:13),1),q((1:13),3)-q((1:13),2),'CapSize',.1,'Marker','o')
end


legend({'High Gamma','Gamma','Beta','Alpha','Theta'},'Location','southeast')
xlabel('Number of Clusters')
ylabel('Adjusted median Fowlkes-Mallows Score')
ylim([0 1])
xlim([1 15])
saveas(stabilityFigure,'./RSDMEpaper/Suppl Fig7 Stability.fig')


%% 5-cluster stability and 9-cluster stability
for idxNclust = [5 - 1; 9 - 1]' % Number of clusters - 1; indexing starts at 2 clusters
    disp([num2str(idxNclust+1) ' Clusters'])
    for iMeas = 1:length(ephysMeasures)
        disp(ephysMeasures{iMeas})
        d1 = RSdata.d.(ephysMeasures{iMeas});
        disp('stab. shuff. ROIs')
        for iClust = 1:length(d1.stability{idxNclust})
            disp([num2str(d1.stability{idxNclust}(iClust),2) ' ' num2str(d1.nullstability{idxNclust}(iClust),2) ' ' strjoin(d1.avgSubjAdjMat.ROI(d1.clustMembership{idxNclust}==iClust),' ')])
        end
        B = mean(d1.clustB(idxNclust,:),2);
        EB = mean(d1.clustEB(idxNclust,:),2);
        disp([num2str((B-EB)/(1-EB)) ' overall'])
    end
end
