function [electrodeTable,ROImap] = loadROItable(useSheet,mapping)
%loadROItable Loads the ROI table.
%   Detailed explanation goes here

    if nargin<1
        useSheet = 'ROI_table';
    end

    dataPath = getLocalPath('ECoGmeta');
    electrodeFilePath = [dataPath filesep 'ROITable' filesep];

    orig_state = warning('off','MATLAB:table:ModifiedAndSavedVarnames');
    try
        electrodeTable = readtable([electrodeFilePath 'ROI_table.xlsx'],'Sheet',useSheet,'Format','auto');
    catch
        electrodeTable = readtable([electrodeFilePath 'ROI_table.xlsx'],'Sheet',useSheet);
        warning('TODO: fix dumb fix in loadROItable.m');
    end
    warning(orig_state);

    if nargin>=2 && ~isempty(mapping)
        ROImap = containers.Map(electrodeTable.oldROI,electrodeTable.(mapping));
        [~,useROItableRows] = unique(electrodeTable.(mapping),'stable');
        electrodeTable = electrodeTable(useROItableRows,:);
        electrodeTable.oldROI = electrodeTable.(mapping);
    end

end

