function [o] = postHocOptionsParser(varargin)
%postHocOptionsParser Input parser for functions loading initial data

p = inputParser;
addRequired(p,'measure',@(x) isstring(x) || ischar(x));
addRequired(p,'DataSet',@(x) isstring(x) || ischar(x) || iscell(x));
addParameter(p,'StateMap',ecogutils.defaultStateMap(),@(x) isa(x,'containers.Map'));
addParameter(p,'OptionSet','',@(x) isstring(x) || ischar(x));
addParameter(p,'Hemisphere','dominant',@(x) ismember(x,{'dominant','other','R','right','L','left','keepnan','both'}));
addParameter(p,'CompleteChannelSet',true,@islogical);

if length(varargin)==1 && isstruct(varargin{1})
    s = varargin{1};
    parse(p,s.measure,s.DataSet,s);
else
    parse(p,varargin{:});
end

o = p.Results;

end

