function [d] = subsetNested(d,select,dims)
%subsetNested Select from particular indices of particular dimensions
%   Operates on matrices or structures containing matrices

d = doSubset(d,select,dims);

end

function [x] = doSubset(x,select,dims)
if isstruct(x)
    f = fieldnames(x);
    for ii=1:length(f)
        x.(f{ii}) = doSubset(x.(f{ii}),select,dims);
    end
else
    s = cell(ndims(x),1);
    s(ismember(1:ndims(x),dims)) = {select};
    s(~ismember(1:ndims(x),dims)) = {':'};
    x = x(s{:});
end
end