function [out] = extractAdjMat(dataTable,measure,patientRows)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
    if contains(measure,'wPLI_dbt_spectrum')
        extractData = @(r) cellfun(@(s) s.wPLI_spectrum,r,'UniformOutput',false);
        metadata{iPatient}.wPLI_freqs = dataTable.(measure){find(patientRows,1,'first')}{1}.wPLI_freqs;
    elseif contains(measure,'wPLI_')
        freqs = fieldnames(dataTable.(measure){find(patientRows,1,'first')}{1}.wPLI_debias);
        if length(freqs)>1, error('Only 1 frequency supported.'), end
        extractData = @(r) cellfun(@(s) s.wPLI_debias.(freqs{1}),r,'UniformOutput',false);
    elseif contains(measure,'envCorrDBT')
        freqs = fieldnames(dataTable.(measure){find(patientRows,1,'first')}{1}.envCorr);
        if length(freqs)>1, error('Only 1 frequency supported.'), end
        extractData = @(r) cellfun(@(s) s.envCorr.(freqs{1}),r,'UniformOutput',false);
    else
        error('Unknown connMeasure');
    end
    
   
    out = cellfun(extractData,dataTable.(measure)(patientRows),'UniformOutput',false);

    useDim = 1 + ndims(out{1}{1});
    out = cat(1,out{:});
    out = cat(useDim,out{:});
end