function [dataTable] = loadMergedDataFiles(varargin)

o = ecogutils.postHocOptionsParser(varargin{:});

% Load connectivity data
dataTable = loadECoG.loadFileList(o);

% Add good channels to table
[indexChans] = ecogutils.goodChannelIndices(dataTable,o.Hemisphere,o.CompleteChannelSet);
dataTable = addvars(dataTable,indexChans);

%% Load and merge spec analysis
try
    spec_o = o;
    spec_o.measure = 'specAnalysis';
    specTable = loadECoG.loadFileList('specAnalysis',o.DataSet,spec_o);
    colList = {'patientID','block','specAnalysis'};
    specTable = specTable(:,colList);
    
    dataTable = innerjoin(dataTable,specTable);
catch ME
    warning('Spec analysis not loaded. Cause:');
    disp(ME.message);
end

end