function [CH] = calcCH(obj,clusters,useChans,maxDimension)
%calcCH CalinskiHarabasz cluster quality
%   clusters = Integer indices identifying clusters
%   useChans (optional) = logical array of channels to use
%   maxDimension (optional) = Use all dimensions from the second to this
%   dimension; if omitted, use elbow

if nargin<3 || isempty(useChans)
    useChans = true(size(obj.Emb,1));
end

if nargin<4 || isempty(maxDimension)
    maxDimension = obj.Elbow;
end

CH = evalclusters(obj.Emb(useChans,2:maxDimension),clusters(useChans),'CalinskiHarabasz').CriterionValues;
end