function [distances] = embDistUsingElbow(obj,maxDimension)
%embDistUsingElbow
% Calculates pairwise distances in emb for dimensions up to useElbow

nodes = size(obj(1).Emb,1);

distances = zeros(nodes,nodes,numel(obj));
for iObj = 1:numel(obj)
    % Unless specified, use obj's Elbow.
    if ~exist('maxDimension','var') || isempty(maxDimension)
        maxDimension = obj.Elbow;
    end

    dimRange = 2:(maxDimension); % We skip the dimension at the knee, so that means use kneeOut.knee rather than +1

    for ii=1:nodes
        for jj=(ii+1):nodes
            distances(ii,jj,iObj) = norm(obj(iObj).Emb(ii,dimRange) - obj(iObj).Emb(jj,dimRange));
            distances(jj,ii,iObj) = distances(ii,jj,iObj);
        end
    end
end
