function [nearVsMedian,sortedDistance] = localDifferentiation(obj,maxDimension)
%centroidDist Euclidean distance between centroids
%   clusters = Integer indices identifying clusters
%   nCluster = Number of clusters overall
%   useChans (optional) = logical array of channels to use
%   maxDimension (optional) = Use all dimensions from the second to this
%   dimension; if omitted, use elbow

if nargin<2 || isempty(maxDimension)
    maxDimension = obj.Elbow;
end

distances = embDistUsingElbow(obj,maxDimension);

sortedDistance = mean(sort(distances,1),2);

closestDistance = mean(sortedDistance(2:ceil(size(distances,1)/20),:),1);
medianDistance = median(sortedDistance(2:end,:),1);

nearVsMedian = closestDistance/medianDistance;
sortedDistance = {sortedDistance};

end