function plotAdj(data,sortIndex,categoryColorOpts,plotColor,suppresstext)

newROICount = [];

if length(categoryColorOpts)==3 && isvector(categoryColorOpts)
    colorVals = [139,0,0;...
        0,128,0;...
        0,0,255]/255;
    newROICount = categoryColorOpts;
elseif isvector(categoryColorOpts)
    colorVals = [139,0,0;...
        255,165,0;...
        255,165,0;...
        255,165,0;...
        255,215,0;...
        0,128,0;...
        0,0,255;...
        128,0,128;...
        128,128,128]/255;
    newROICount = categoryColorOpts;
end

if ~isempty(newROICount)
    % Plotting ROI groups the old way
    chanAdjMatROILine = zeros(length(newROICount),2);
    temp = cumsum(newROICount);
    chanAdjMatROILine(:,2) = temp;
    chanAdjMatROILine(:,1) = [1; temp(1:end-1)];
    chanAdjMatROILine(1,1) = 0.5;
    chanAdjMatROILine(2:end,1) = chanAdjMatROILine(2:end,1)+0.5;
    chanAdjMatROILine(1:end,2) = chanAdjMatROILine(1:end,2)+0.5;
end

grayScaleVals = gray;
grayScaleVals = flipud(grayScaleVals);

if nargin>=4 && plotColor
    colormap(ecogutils.redblue.redblue);
    data(isnan(data)) = 0;
else
    colormap(grayScaleVals);
end

hold on
imagesc(data(sortIndex,sortIndex));
axis square;
ax = gca;
ax.Color = 'none'; % turn off white box background
ax.XColor = 'w';
ax.YColor = 'w';
ax.XTickLabel = [];
ax.YTickLabel = [];
ax.XTick = [];
ax.YTick = [];
if isempty(newROICount)
    for iROI = 1:size(categoryColorOpts,1)
        plot([iROI-0.5 iROI+0.5],[-.1*length(sortIndex) -.1*length(sortIndex)]+.5,...
            'LineWidth',3,'Color',categoryColorOpts(iROI,:));
        plot([length(sortIndex)*1.1+.5 length(sortIndex)*1.1+.5],...
            [iROI-0.5 iROI+0.5],'LineWidth',3,...
            'Color',categoryColorOpts(iROI,:));
    end
else
    for iROI = 1:length(newROICount)
        plot(chanAdjMatROILine(iROI,:),[-.1*length(sortIndex) -.1*length(sortIndex)]+.5,...
            'LineWidth',3,'Color',colorVals(iROI,:));
        plot([length(sortIndex)*1.1+.5 length(sortIndex)*1.1+.5],...
            chanAdjMatROILine(iROI,:),'LineWidth',3,...
            'Color',colorVals(iROI,:));
    end
end
ax.XLim = [0.5,length(sortIndex)*1.1+.5];
ax.YLim = [-.1*length(sortIndex)+.5,length(sortIndex)+.5];
ax.YDir = 'reverse';

if nargin>=5 && suppresstext
    
else
    
    if nargin>=4 && plotColor
        caxis([-max(data,[],'all')*.75,max(data,[],'all')*.75]);
        text(mean(ax.XLim),ax.YLim(2)*1.1,['color range: [-' num2str(max(data,[],'all')*.75) ',' num2str(max(data,[],'all')*.75) ']']);
    else
        caxis([0,max(data,[],'all')]);
        text(mean(ax.XLim),ax.YLim(2)*1.1,['color range: [0,' num2str(max(data,[],'all')) ']']);
    end
    
end

end
