function [] = setConstantAxesLim(ti,tiles)
%setConstantAxesLim Set constant XYZ limits
%   Operates on children of a tiled layout

amin = inf;
amax = -inf;

if nargin==2
    figure(ti.Parent)
    for ii=1:length(tiles)
        thisPlot = nexttile(tiles(ii));
        amin = min([amin,thisPlot.XLim(1),thisPlot.YLim(1),thisPlot.ZLim(1)]);
        amax = max([amax,thisPlot.XLim(2),thisPlot.YLim(2),thisPlot.ZLim(2)]);
    end

    for ii=1:length(tiles)
        thisPlot = nexttile(tiles(ii));
        thisPlot.XLim = [amin amax];
        thisPlot.YLim = [amin amax];
        thisPlot.ZLim = [amin amax];
    end

else

error('Specify tiles')

end


