load('AllFigureData.mat');
data=fig45;

nClusters = 5; % 9;

data.ROIs{strcmp(data.ROIs,'SFG')} = 'SFGpf';

ROIList = data.ROIs;
nROIs = length(ROIList);
early = zeros(nROIs,1);
late = zeros(nROIs,1);
alpha = zeros(nROIs,1);
for iROI = 1:nROIs
    thisROI = ROIList{iROI};
    early(iROI) = audResp.perc_higamma_early(strcmp(audResp.ROI,thisROI));
    late(iROI) = audResp.perc_higamma_late(strcmp(audResp.ROI,thisROI));
    alpha(iROI) = audResp.perc_alpha_late(strcmp(audResp.ROI,thisROI));
end

elbows = [7,5,8,7,7];

allMeasures = fieldnames(fig45allbands);
for iMeas = 1:5
    data = fig45allbands.(allMeasures{iMeas});
    minDim = 2;
    maxDim = elbows(iMeas);
    linkMeth = 'ward'; clustThresh = 4.5;
    X = data.Emb(:,minDim:maxDim);
    Y = pdist(X);
    Z = linkage(squareform(Y),linkMeth);
    maxVal = max(Z(:,3));
    clustOut = cluster(Z,'MaxClust',nClusters);

    t = table(clustOut,early,late,alpha);
    t.clustOut = categorical(t.clustOut);
    m = fitlm(t,'early ~ clustOut');
    m2 = fitlm(t,'late ~ clustOut');
    m3 = fitlm(t,'alpha ~ clustOut');

    disp([allMeasures{iMeas} ' R2early= ' num2str(m.Rsquared.Ordinary,2) ' R2late = ' num2str(m2.Rsquared.Ordinary,2) ' R2alpha = ' num2str(m3.Rsquared.Ordinary,2) ' nClust = ' num2str(length(unique(clustOut)))]);
end
